petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMGetLabelName

Return the name of nth label

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetLabelName(DM dm, PetscInt n, const char **name)

Not Collective

### Input Parameters

| dm | - The DM object
| n | - the label number

### Output Parameter

name -the label name

### See Also

DMGetLabelValue(), DMSetLabelValue(), DMGetStratumIS()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/dm/label/examples/tutorials/ex1.c.html
src/dm/label/examples/tutorials/ex1f90.F90.html
src/ts/examples/tutorials/ex11.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages